Imagick::hasPreviousImage
Imagick::identifyImage
Imagick
PHP Manual

# Imagick::identifyFormat

(No version information available, might only be in Git)

Imagick::identifyFormat — Description

### Description

public string|false Imagick::identifyFormat ( string `$embedText` )

Replaces any embedded formatting characters with the appropriate image property and returns the interpreted text. See http://www.imagemagick.org/script/escape.php for escape sequences.

### Parameters

`embedText`

  A string containing formatting sequences e.g. "Trim box: %@ number of unique colors: %k".

### Return Values

### Examples

Example #1 Imagick::identifyFormat()

`<?php
$output = "Output of 'Trim box: %@ number of unique colors: %k' is: <br/>";
$imagick = new \Imagick(realpath("./images/artifact/mask.png"));
$output .= $imagick->identifyFormat("Trim box: %@ number of unique colors: %k");
?>`

Imagick::hasPreviousImage
Imagick::identifyImage
Imagick
PHP Manual